<?php

//==================================================
include ("conexion.php");
header('Content-Type: text/html; charset=iso-8859-1');
//============================================================================================

if (isset($_POST['expediente']))
{
		$expediente=$_POST['expediente'];

		//echo $expediente." ";
		$cons14="SELECT NomPaciente,idTipo FROM pacientes WHERE CvePaciente='$expediente'";
		$res14=mysql_query($cons14,$conex) or die ("No se consulto el nombre del paciente :: cons14");
		$filas=mysql_num_rows($res14);
		if ($filas != 0)
		{

		$campo=mysql_fetch_array($res14);
		
		echo "<input name='nompaciente' type='text' id='nompaciente' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".$campo['NomPaciente']."'>";

		
			if ($campo['idTipo'] =='6')
			{

				echo "&nbsp;&nbsp;<span class='style4'>Descuento: <input name='cifra' type='text' id='cifra' class='cuadrotexto' size='2' maxlength='3'>%</span>";

			}
			
			if ($campo['idTipo']=='4')

			{
				echo "&nbsp;&nbsp;<span class='style4'>Descuento: </span><input name='descuento' type='text' id='descuento' class='cuadrotexto' size='30' maxlength='50' readonly='readonly' value='No aplica descuento'><input name='cifra' type='hidden' id='cifra' class='cuadrotexto' size='3'  readonly='readonly' value='0'>";

			}

			if ($campo['idTipo'] != '6' and $campo['idTipo'] != '4')
			{
				$cons16="SELECT idDescuento FROM asignacion_descuentos WHERE idTipo ='".$campo['idTipo']."'";
				$res16=mysql_query($cons16,$conex);
				$iddescuento=mysql_result($res16,0,'idDescuento');

				$cons17="SELECT * FROM descuentos WHERE idDescuento ='$iddescuento'";
				$res17=mysql_query($cons17,$conex);
				$descuento=mysql_result($res17,0,'descripcion');
				$cifra=mysql_result($res17,0,'cifra');

				echo "&nbsp;&nbsp;<span class='style4'>Descuento: </span><input name='descuento' type='text' id='descuento' class='cuadrotexto' size='20' maxlength='50' readonly='readonly' value='".$cifra."% ".$descuento."'><input name='cifra' type='hidden' id='cifra' class='cuadrotexto' size='3' readonly='readonly' value='".$cifra."'>";
			}
 		}

		else
		{
			echo "<span class='style2'>No existe el expediente ingresado!</span>";
		}
}//END



//=================== EXPEDIENTE ODONTOPEDIATRIA =============================================

if (isset($_POST['expedienteop']))
{
		$expediente=$_POST['expedienteop'];
		//echo $expediente." ";
		$cons14="SELECT NomPaciente,idTipo FROM pacientes_odontopediatria WHERE CvePaciente='$expediente'";
		$res14=mysql_query($cons14,$conex) or die ("No se consulto el nombre del paciente :: cons14");
		$filas=mysql_num_rows($res14);
		if ($filas != 0)
		{
		$campo=mysql_fetch_array($res14);
		echo "<input name='nompaciente' type='text' id='nompaciente' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".$campo['NomPaciente']."'>";

			if ($campo['idTipo'] =='6') //Tipo donde deben ingresar el %
			{
				echo "&nbsp;&nbsp;<span class='style4'>Descuento: <input name='cifra' type='text' id='cifra' class='cuadrotexto' size='2' maxlength='3'>%</span>";
			}

			if ($campo['idTipo'] =='4') //Para quien no aplica descuento
			{
				echo "&nbsp;&nbsp;<span class='style4'>Descuento: </span><input name='descuento' type='text' id='descuento' class='cuadrotexto' size='30' maxlength='50' readonly='readonly' value='No aplica descuento'><input name='cifra' type='hidden' id='cifra' class='cuadrotexto' size='3' readonly='readonly' value='0'>";
			}

			if ($campo['idTipo'] !='6' and $campo['idTipo'] !='4') //Para quien ya tiene asignado el descuento
			{
				$cons16="SELECT idDescuento FROM asignacion_descuentos WHERE idTipo ='".$campo['idTipo']."'";
				$res16=mysql_query($cons16,$conex);
				$iddescuento=mysql_result($res16,0,'idDescuento');

				$cons17="SELECT * FROM descuentos WHERE idDescuento ='$iddescuento'";
				$res17=mysql_query($cons17,$conex);
				$descuento=mysql_result($res17,0,'descripcion');
				$cifra=mysql_result($res17,0,'cifra');

				echo "&nbsp;&nbsp;<span class='style4'>Descuento: </span><input name='descuento' type='text' id='descuento' class='cuadrotexto' size='20' maxlength='50' readonly='readonly' value='".$cifra."% ".$descuento."'><input name='cifra' type='hidden' id='cifra' class='cuadrotexto' size='3' readonly='readonly' value='".$cifra."'>";
			}
 		}
		else
		{
			echo "<span class='style2'>No existe el expediente ingresado!</span>";
		}
}//END

//=============================================================================================================

if (isset($_POST['clavedoc']))
{
		$clavedoc=$_POST['clavedoc'];

		$cons15="SELECT NomPersonal, ApePersonal FROM personal WHERE CvePersonal='$clavedoc'";
		$res15=mysql_query($cons15,$conex) or die ("No se consulto el nombre del doctor :: cons15");
		$filas=mysql_num_rows($res15);
		if ($filas != 0)
		{
		$campo2=mysql_fetch_array($res15);
		echo "<input name='nomdoctor' type='text' id='nomdoctor' class='cuadrotexto' size='40' maxlength='50' readonly='readonly' value='".utf8_decode($campo2['NomPersonal'])." ".utf8_decode($campo2['ApePersonal'])."'>"; 

		//SELECT DE MATERIAS

		echo " <span class='style4'>Materia: </span>";
		echo "<select name='idmateria' class='cuadrotexto'>";
		echo "<option value='0' selected>Seleccione</option>"; 
		$cons2="SELECT idMateria FROM asignacionmaterias WHERE idAlumno='$clavedoc'";
		$res2=mysql_query($cons2,$conex) or die ("No se pudo consultar las materias del alumno");
		while ($filax=mysql_fetch_row($res2))
		{
			$cons="SELECT idMateria,materia FROM materias WHERE idMateria='$filax[0]'";
			$res=mysql_query($cons,$conex) or die ("No se pudo consultar nombre materia");
			while ($campo=mysql_fetch_assoc($res)) 
			{
			  echo "<option value=".$campo['idMateria']." >".$campo['materia']."</option>"; 
			}
		}
        echo "</select>";

		}

		else
		{
			echo "<span class='style2'>No existe la clave de doctor ingresada!</span>";
		}

}//END



//==================================== AGREGA TRATAMIENTO ======================================

if (isset($_POST['tratamiento']))
{
		//OBTENGO PAQUETE Y FOLIO DE VENTA
		$tratamiento=$_POST['tratamiento'];
		$cifra=$_POST['descuento'];

		//Nombre del Tratamiento
		$cons12="SELECT tratamientoCompleto,precio,descuento FROM tratamientocompleto WHERE idTratamiento='$tratamiento'";
		$res12=mysql_query($cons12,$conex) or die ("No se ejecuto cons12");
		$nombreTratamiento=mysql_result($res12,0,'tratamientoCompleto');
		$precio=mysql_result($res12,0,'precio');
		$aplicadescuento=mysql_result($res12,0,'descuento');
		
		if($aplicadescuento=="Si")
		{
			$descue=$cifra/100;
			$descue2=$precio*$descue;
			$totalPagar=$precio-$descue2;
			$avisoDescuento="";
		}
		else
		{
			$totalPagar=$precio;
			$cifra=0;
			$descue2="0.00";
			$avisoDescuento="<br><span class='avisoDescuento'>Este producto no aplica descuento.</span>";
		}
			
		echo "<p>&nbsp;</p>";
		echo "<table width='100%' border='0' cellpadding='0' cellspacing='5' bgcolor='#CCCCCC'>";
		echo "<tr>";
		echo "<td width='60%' valign='baseline'>";

		echo "<span class='concepto'>".$nombreTratamiento."</span><input type='hidden' name='idtratamiento' id='idtratamiento' value='$tratamiento'>$avisoDescuento";
				
		echo "<td width='15%' valign='bottom'><div align='right'><span class='style4'>TOTAL A PAGAR</span></div></td>";
		echo "<td width='25%' valign='bottom'>";
		echo "<table width='100%' height='100%' border='0' cellpadding='0' cellspacing='1'>";
		echo "<tr>";
		
		echo "<td bgcolor='#FFFFFF' align='right'>";
		echo "<span class='pv_precio'>Precio $ ".number_format($precio,2)."</span><input type='hidden' name='precio' id='precio' value='$precio'><br>";
		echo "<span class='pv_descuento'>-".$cifra."% Desc. $ ".number_format($descue2,2)."</span>";
		echo "<br>";
		
		//EN LOS SIGUIENTES TOTALES CAMBIE $total2 por $total
		echo "<div class='pv_pagar'>$ ".number_format($totalPagar,2)."</div><input name='total' type='hidden' value='".$totalPagar."'>";

		//CUADRO CONTENIENDO TOTAL
		echo "</td>";
		echo "</tr>";
		echo "</table>";
		echo "</td>";
		echo "</tr>";
		echo "</table>";

	//}//end if tratamiento != 0

}//END



//========================================== CANCELAR VENTA =====================================================

if (isset($_GET['foliocancela']))
{

		//OBTENGO FOLIO A CANCELAR
		$foliocancela=$_GET['foliocancela'];
		$clinica=$_GET['clinica'];
		$fecha=$_GET['fecha'];

		$con1="SELECT * FROM salida WHERE idSalida='$foliocancela'";
		$res1=mysql_query($con1,$conex) or die ("No se realiz� con1");
		$filas=mysql_num_rows($res1);

		if ($filas == 0)
		{
			echo "<center><span class='style10'>La venta no se puede cancelar, no contiene articulos.</span></center><br>";
		}
		else
		{
			$con2="UPDATE salida SET fechaSalida='$fecha',idClinica='$clinica',estado='Cancelada' WHERE idSalida='$foliocancela'";
			$res2=mysql_query($con2,$conex) or die ("No se realiz� con2");
			echo "<br><center><span class='style10'>Venta cancelada.</span></center><br>";
		}
}//END



//========================================== CAMBIOS EN PRODUCTOS =================================================

if (isset($_GET['cambio']))

{
		//OBTENGO VARIABLES
		$cambio=$_GET['cambio'];
		$idcambio=$_GET['idcambio'];
		$consfolio=$_GET['consfolio'];

		//OBTENER SALIDA Y CLAVE PARA ACTUALIZAR EN LA VENTA
		$con1="SELECT idSalida,clave1,clave2 FROM cambiosventa WHERE idCambio='$idcambio'";
		$res1=mysql_query($con1,$conex) or die ("No se realiz� con1");
		$idsalida=mysql_result($res1,0,'idSalida');
		$clave1=mysql_result($res1,0,'clave1');
		$clave2=mysql_result($res1,0,'clave2');

		if ($clave2=='')
		{
			$con2="UPDATE contenido_salida SET idProducto='$cambio' WHERE idSalida='$idsalida' and idProducto='$clave1'";
			$res2=mysql_query($con2,$conex) or die ("No se realiz� con2");
		}
		else
		{
				$con2="UPDATE contenido_salida SET idProducto='$cambio' WHERE idSalida='$idsalida' and idProducto='$clave2'";
				$res2=mysql_query($con2,$conex) or die ("No se realiz� con2");
		}

		$con3="UPDATE cambiosventa SET clave2='$cambio' WHERE idCambio='$idcambio'";
		$res3=mysql_query($con3,$conex) or die ("No se realiz� con3");

		echo "<br><center><span class='style10'>Cambio realizado.</span></center><br>";
		echo "<center><a href='ejecutarsalida2.php?consfolio=".$consfolio."'><span class='style9'>Volver</span></a></center>";

}//END


//========= CERRAR CONEXION =================
mysql_close($conex);

?>

